### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.process

## Module: `utils.process`

Inheritance diagram for `IPython.utils.process`:

Utilities for working with external processes.

## Class

## `FindCmdError`

class `IPython.utils.process.``FindCmdError`

  Bases: `exceptions.Exception`

  `__init__`()

    x.__init__(...) initializes x; see x.__class__.__doc__ for signature

  `args`
  `message`

## Functions

`IPython.utils.process.``abbrev_cwd`()

  Return abbreviated version of cwd, e.g. d:mydir

`IPython.utils.process.``arg_split`(s, posix=False)

  Split a command line’s arguments in a shell-like manner.

  This is a modified version of the standard library’s shlex.split() function, but with a default of posix=False for splitting, so that quotes in inputs are respected.

`IPython.utils.process.``find_cmd`(cmd)

  Find absolute path to executable cmd in a cross platform manner.

  This function tries to determine the full path to a command line program using which on Unix/Linux/OS X and win32api on Windows. Most of the time it will use the version that is first on the users PATH. If cmd is python return sys.executable.

  Warning, don’t use this to find IPython command line programs as there is a risk you will find the wrong one. Instead find those using the following code and looking for the application itself:

      from IPython.utils.path import get_ipython_module_path
      from IPython.utils.process import pycmd2argv
      argv = pycmd2argv(get_ipython_module_path('IPython.frontend.terminal.ipapp'))

  Parameters :

  cmd : str

  > The command line program to look for.

`IPython.utils.process.``pycmd2argv`(cmd)

  Take the path of a python command and return a list (argv-style).

  This only works on Python based command line programs and will find the location of the `python` executable using `sys.executable` to make sure the right version is used.

  For a given path `cmd`, this returns [cmd] if cmd’s extension is .exe, .com or .bat, and [, cmd] otherwise.

  Parameters :

  cmd : string

  > The path of the command.

  Returns : | argv-style list. :

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »